<?php

include 'includes/application_top.php';

$postAction = "";
if (isset($_POST['post-action']))
{
    $postAction = $_POST['post-action'];
}
else
{
    $status = array(
        "code" => 0,
        "message" => "Incorrect POST body. Please try again. (0x0)"
    );
}
$postData = "";
if (isset($_POST['post-data']))
{
    $postData = $_POST['post-data'];
}
else
{
    $status = array(
        "code" => 0,
        "message" => "Incorrect POST body. Please try again. (0x1)"
    );
}

$status = array(
    "code" => 0,
    "message" => "Incorrect POST body. Please try again. (0x2:" . $postAction . ')',
);

switch ($postAction)
{
    case 'quotes':
        switch ($postData['data-action'])
        {
            case 'get':

                //this can be turned off to get raw UPS Ground Rates, excluding any configurations from AdvShipper
                $useAdvShipper = true;
                //whether or not we use production servers when requesting quotes from UPS
                $useLive = true;
                $stepMajor = 0;
                $stepMinor = 0;

                try 
                {
                    //verify input
                    $stepMajor = 1;
                    $stepMinor = 0;

                    if (empty($postData['name'])
                    || empty($postData['addressLine'])
                    || empty($postData['city'])
                    || empty($postData['state'])
                    || empty($postData['zip'])
                    || empty($postData['country'])) throw new Exception("We couldn't generate a quote at this time. Please refresh the page and try again. In this problem persists, please contact us. ({$stepMajor}x{$stepMinor})");
                    $stepMinor++;

                    //prepare cart contents into a manf_id => product_info array
                    $cartContents = ($_SESSION['cart']->contents);
                    $cartShipInfo = array();
                    $canShip = true;
                    
                    $stepMajor++;
                    $stepMinor = 0;

                    foreach ($cartContents as $product_id => $product_info)
                    {
                        if (strpos($product_id, ':') !== FALSE)
                        {
                            $product_id = substr($product_id, 0, strpos($product_id, ':'));
                        }
    
                        $prodManfZoneResults = $db->Execute("SELECT
                        p.products_id, p.products_weight, p.manufacturers_id, p.product_is_always_free_shipping, p.is_core,
                        p.products_freightquote_enable, p.products_freightquote_class, p.products_freightquote_length,
                        p.products_freightquote_width, p.products_freightquote_height, p.products_freightquote_package_type,
                        m.manufacturers_id, m.manufacturers_name, m.manufacturers_address_1, m.manufacturers_city, m.manufacturers_zip,
                        z.zone_code, z.zone_name
                        FROM zen_products AS p
                        LEFT JOIN zen_manufacturers AS m ON p.manufacturers_id = m.manufacturers_id
                        LEFT JOIN zen_zones AS z ON m.manufacturers_state = z.zone_id
                        WHERE p.products_id = $product_id
                        ");

                        if ($prodManfZoneResults->fields['products_weight'] == 0)
                        {
                            $canShip = false;
                            break;
                        }
    
                        $manf_id = $prodManfZoneResults->fields['manufacturers_id'];
    
                        if (!$prodManfZoneResults->fields['product_is_always_free_shipping'] || $postData['state'] == "HI" || $postData['state'] == "AL")
                        {
                            if (!isset($cartShipInfo[$manf_id]))
                            {
                                $cartShipInfo[$manf_id] = array(
                                    "package" => array(),
                                    "freight" => array()
                                );
                            }
    
                            if ($prodManfZoneResults->fields['products_freightquote_enable'] == 1)
                            {
                                $prodManfZoneResults->fields['quantity'] = $product_info['qty'];
                                array_push($cartShipInfo[$manf_id]['freight'], $prodManfZoneResults->fields);
                            }
                            else
                            {
                                $prodManfZoneResults->fields['quantity'] = $product_info['qty'];
                                array_push($cartShipInfo[$manf_id]['package'], $prodManfZoneResults->fields);
                            }
                        }
                        
                        if ($prodManfZoneResults->fields['is_core'] == 1) continue;

                        $stepMinor++;
                    }
                    
                    //prepare API call
                    $stepMajor++;
                    $stepMinor = 0;

                    $stepMinor++;
                    if ($canShip)
                    {
                        $shipToForAPI = array(
                            'name' => $postData['name'],
                            'addressLine' => $postData['addressLine'],
                            'city' => $postData['city'],
                            'state' => $postData['state'],
                            'zip' => $postData['zip'],
                            'country' => $postData['country']
                        );
    
                        $shippingTotalGround = 0.00;
                        $shippingTotalFreight = 0.00;
                        $shippingMethod = "";
                        $apiGround = null;
                        $apiFreight = null;
                        $apiGroundReceived = array();
                        $apiGroundSent = array();
                        $apiFreightReceived = array();
                        $apiFreightSent = array();
    
                        $stepMinor++;
                        foreach ($cartShipInfo as $cartShipInfoXManfId => $cartShipInfoXManf)
                        {
                            $stepMajor++;
                            $stepMinor = 0;
                            if (!empty($cartShipInfoXManf['package']))
                            {
                                $stepMajor++;
                                $stepMinor = 0;

                                $shipFromForAPI = array(
                                    'name' => $cartShipInfoXManf['package'][0]['manufacturers_name'],
                                    'addressLine' => $cartShipInfoXManf['package'][0]['manufacturers_address_1'],
                                    'city' => $cartShipInfoXManf['package'][0]['manufacturers_city'],
                                    'state' => $cartShipInfoXManf['package'][0]['zone_code'],
                                    'zip' => $cartShipInfoXManf['package'][0]['manufacturers_zip'],
                                    'country' => 'US',
                                );
    
                                $packageItems = array();
                                $service = "03";
    
                                foreach ($cartShipInfoXManf['package'] as $packageItem)
                                {
                                    if ($packageItem['is_core']) continue;

                                    $maxNumberOfItemsInPackage = floor(150/$packageItem['products_weight']);
                                    while ($packageItem['quantity'] > 0)
                                    {
                                        $numberOfItemsToPack = min($packageItem['quantity'], $maxNumberOfItemsInPackage);
                                        $packageItem['quantity'] -= $numberOfItemsToPack;
                                        $packageItems[] = array(
                                            'id' => $packageItem['products_id'],
                                            'weight' => $packageItem['products_weight'],
                                            'quantity' => $numberOfItemsToPack
                                        );
                                    }

                                    if ($useAdvShipper)
                                    {
                                        if (!function_exists("advShipperZipMatchesRegion"))
                                        {
                                            function advShipperZipMatchesRegion($address, $target) {
    
                                                $ranges = explode(',', trim($target));
                    
                                                foreach ($ranges as $range)
                                                {
                                                    if (strpos($range, $address['country']) !== FALSE)
                                                    {
                                                        if (strlen($address['country']) == strlen($range))
                                                        {
                                                            if ($address['country'] == $range) return true;
                                                        }
                                                        $zip = $address['zip'];
                                                        $minmax = explode('-', substr($range, 3));
                    
                                                        if (sizeof($minmax) == 1)
                                                        {
                                                            if ($zip == $minmax[0]) return true;
                                                        }
                    
                                                        $min = $minmax[0];
                                                        $max = $minmax[1];
                    
                    
                                                        if (($min <= $zip) && ($zip <= $max)) return true;
                                                    }
                                                }
                    
                                                return false;
                                            }
                                        }

                                        $method = null;

                                        $advShipperProductQuery = $db->Execute("SELECT method FROM zen_advshipper_method_products WHERE product_id = '{$packageItem['products_id']}' ORDER BY method DESC LIMIT 1");

                                        if ($advShipperProductQuery->RecordCount() == 1)
                                        {
                                            $method = $advShipperProductQuery->fields['method'];
                                        }
                                        else
                                        {
                                            $advShipperManfQuery = $db->Execute("SELECT method FROM zen_advshipper_method_manufacturers WHERE manufacturer_id = '$cartShipInfoXManfId' ORDER BY method DESC LIMIT 1");

                                            if ($advShipperManfQuery->RecordCount() == 1)
                                            {
                                                $method = $advShipperManfQuery->fields['method'];
                                            }
                                        }

                                        $advShipperMethodQuery = null;

                                        if (!is_null($method))
                                        {

                                            $advShipperMethodQuery = $db->Execute("
                                                SELECT
                                                rc.countries_postcodes, rc.max_weight_per_package, rc.surcharge,
                                                ruc.region, ruc.shipping_service_2da, ruc.shipping_service_gnd
                                                FROM zen_advshipper_region_configs rc
                                                LEFT JOIN zen_advshipper_region_ups_configs ruc ON rc.region = ruc.region
                                                WHERE rc.method = '$method'
                                                GROUP BY ruc.region
                                            ");
                                        }
                                        else
                                        {
                                            $advShipperMethodQuery = $db->Execute("
                                                SELECT
                                                rc.countries_postcodes, rc.max_weight_per_package, rc.surcharge,
                                                ruc.region, ruc.shipping_service_2da, ruc.shipping_service_gnd
                                                FROM zen_advshipper_region_configs rc
                                                LEFT JOIN zen_advshipper_region_ups_configs ruc ON rc.region = ruc.region
                                                WHERE rc.method = '1'
                                                GROUP BY ruc.region
                                            ");
                                        }

                                        $address = array(
                                            "zip" => $shipToForAPI['zip'],
                                            "country" => $shipToForAPI['country']
                                        );


                                        while (!$advShipperMethodQuery->EOF)
                                        {
                                            if (advShipperZipMatchesRegion($address, $advShipperMethodQuery->fields['countries_postcodes']))
                                            {


                                                if ($advShipperMethodQuery->fields['shipping_service_2da'] == "1") {
                                                    $service = "02";
                                                }
                                                if (!empty($advShipperMethodQuery->fields['surcharge']) || !is_null($advShipperMethodQuery->fields['surcharge']))
                                                {
                                                    $surcharge = $advShipperMethodQuery->fields['surcharge'];

                                                    $stripped_surcharge = preg_match("/[^0-9.]/", strip_tags($surcharge));


                                                    if (is_numeric($stripped_surcharge)) $shippingTotalGround += floatval($stripped_surcharge);
                                                }

                                                break;
                                            }

                                            $advShipperMethodQuery->MoveNext();
                                        }
                                    }
                                }

                                $stepMinor++;
                                $apiGround = ups_package_call_api($shipToForAPI, $shipFromForAPI, $packageItems, $useLive, $service);
                                $apiGroundSent[] = $apiGround['sent'];
                                $apiGroundReceived[] = $apiGround['received'];
                                $apiGround = $apiGround['received'];

                                if (isset($apiFreight['response']['errors']))
                                {
                                    throw new Exception("We couldn't generate a quote at this time. Please wait or refresh the page and try again. If this problem persists, please contact us with the error code or message of: G-" . $apiGround['response']['errors']['message'] . " ({$stepMajor}x{$stepMinor})");
                                }
    
                                $stepMinor++;

                                if (isset($apiGround['RateResponse']['RatedShipment']['NegotiatedRateCharges']))
                                {
                                    $shippingTotalGround += $apiGround['RateResponse']['RatedShipment']['NegotiatedRateCharges']['TotalCharge']['MonetaryValue'];
                                }
                                else
                                {
                                    $shippingTotalGround += $apiGround['RateResponse']['RatedShipment']['TotalCharges']['MonetaryValue'];
                                }

                                $shippingTotalGround *= 1.25;

                            }
    
                            if (!empty($cartShipInfoXManf['freight']))
                            {
                                $stepMajor++;
                                $stepMinor = 0;

                                $shipFromForAPI = array(
                                    'name' => $cartShipInfoXManf['freight'][0]['manufacturers_name'],
                                    'addressLine' => $cartShipInfoXManf['freight'][0]['manufacturers_address_1'],
                                    'city' => $cartShipInfoXManf['freight'][0]['manufacturers_city'],
                                    'state' => $cartShipInfoXManf['freight'][0]['zone_name'],
                                    'zip' => $cartShipInfoXManf['freight'][0]['manufacturers_zip'],
                                    'country' => 'US',
                                );
    
                                $freightItems = array();
    
                                foreach ($cartShipInfoXManf['freight'] as $freightItem)
                                {
                                    if ($freightItem['is_core']) continue;

                                    $freightItems[] = array(
                                        'id' => $freightItem['products_id'],
                                        'weight' => $freightItem['products_weight'],
                                        'length' => $freightItem['products_freightquote_length'],
                                        'width' => $freightItem['products_freightquote_width'],
                                        'height' => $freightItem['products_freightquote_height'],
                                        'freight_class' => $freightItem['products_freightquote_class'],
                                        'packing_type' => $freightItem['products_freightquote_package_type'],
                                        'quantity' => $freightItem['quantity']
                                    );
                                }
    
                                $stepMinor++;
                                $apiFreight = ups_freight_call_api($shipToForAPI, $shipFromForAPI, $freightItems, $useLive);
                                $apiFreightSent[] = $apiFreight['sent'];
                                $apiFreightReceived[] = $apiFreight['received'];
                                $apiFreight = $apiFreight['received'];

                                if (isset($apiFreight['response']['errors']))
                                {
                                    throw new Exception("We couldn't generate a quote at this time. Please wait or refresh the page and try again. If this problem persists, please contact us with the error code or message of: F-" . $apiFreight['response']['errors'][0]['message'] . " ({$stepMajor}x{$stepMinor})");
                                }
    
                                $stepMinor++;
                                $shippingTotalFreight += $apiFreight['FreightRateResponse']['TotalShipmentCharge']['MonetaryValue'];

                                $shippingTotalFreight *= 1.25;
    
                                $stepMinor++;
                                if (isset($apiFreight['FreightRateResponse']['Response']['Alert']))
                                {
                                    $surcharges = 0;
    
                                    foreach ($apiFreight['FreightRateResponse']['Response']['Alert'] as $alert)
                                    {
                                        switch ($alert)
                                        {
                                            case 9369051:
                                                $surcharges += 200;
                                                break;
                                        }
                                    }
    
                                    $shippingTotalFreight += $surcharges;
                                }
                                
                                if ($postData['liftgateCharge'] == "true") $shippingTotalFreight += 100;
                                if ($postData['restrictedCharge'] == "true") $shippingTotalFreight += 100;
                            }
                        }
                        
                        $stepMajor++;
                        $stepMinor = 0;

                        if ($shippingTotalGround > 0)
                        {
                            // $shippingMethod = "UPS Ground";
                            $shippingMethod = "Ground";
                        }
                        if ($shippingTotalFreight > 0)
                        {
                            // $shippingMethod = "TForce Freight";
                            $shippingMethod = "Freight LTL";
                        }
                        if ($shippingTotalGround > 0 && $shippingTotalFreight > 0)
                        {
                            // $shippingMethod = "UPS Ground + TForce Freight";
                            $shippingMethod = "Ground + Freight LTL";
                        }
                        if ($shippingTotalGround == 0 && $shippingTotalFreight == 0)
                        {
                            $shippingMethod = "Free Shipping";
                        }
                        if ($shippingTotalGround < 0 || $shippingTotalGround === null || $shippingTotalFreight < 0 || $shippingTotalFreight === null)
                        {
                            throw new Exception("There was an error in our shipping API. Please contact us immediately to help us resolve this issue. (0Nx{$stepMajor}x{$stepMinor})");
                        }

                        if (isset($apiGround['response']['errors']) || isset($apiFreight['Fault']))
                        {
                            throw new Exception("Our shipping carrier's API is experiencing errors. Please try again, refresh the page, or contact us if this error continues.");
                        }
    
                        $stepMinor++;

                        $status = array(
                            "code" => 1,
                            "values" => array(
                                "ground" => $shippingTotalGround,
                                "freight" => $shippingTotalFreight,
                                "total" => $shippingTotalGround + $shippingTotalFreight,
                                "method" => $shippingMethod
                            )
                        );
                    }
                    else
                    {
                        throw new Exception("We couldn't generate a quote at this time. Please wait or refresh the page and try again. If this problem persists, please contact us. (0Wx{$stepMajor}x{$stepMinor})");
                    }
                }
                catch (Exception $e)
                {
                    $status = array(
                        'code' => 0,
                        'message' => $e->getMessage(),
                        'debug' => array(
                            'ground' => array(
                                "sent" => $apiGroundSent,
                                "received" => $apiGroundReceived,
                            ),
                            'freight' => array(
                                "sent" => $apiFreightSent,
                                "received" => $apiFreightReceived,
                            ),
                        )
                    );
                }

            break;
        }
    break;
}

$_SESSION['shipping']['status'] = $status;
$_SESSION['shipping']['status']['api'] = array(
    "ground" => array(
        "sent" => $apiGroundSent,
        "received" => $apiGroundReceived
    ),
    "freight" => array(
        "sent" => $apiFreightSent,
        "received" => $apiFreightReceived
    )
);

echo json_encode($status);