$(document).ready(function() {
    $('.main-image')
    .wrap('<span style="display:inline-block"></span>')
    .css('display', 'block')
    .parent()
    .zoom({magnify: 2});

    $(".product-table tbody tr").hover( function(){
        const $currentElement = $(this);
        const id = $currentElement.data("input-id");
        const $inputField = $(`input[data-id="${id}"]`);
        let value = $inputField.val();
        if(value == "0" || value == null || value == undefined || value == "") {
            $currentElement.toggleClass("bg-dark-grey", true);
        } else {
            $currentElement.toggleClass("bg-error-pink", true);
        }
    }, function(){
        const $currentElement = $(this);
        $currentElement.toggleClass("bg-dark-grey", false);
        $currentElement.toggleClass("bg-error-pink", false);
    });

    $("td input").click(function(event){
        event.stopPropagation();
    });
    $("input").change(function() {
        const inputElement = $(this);
        const id = inputElement.data("id");
        const tableRow = $(`tr[data-input-id="${id}"]`);
        const value = inputElement.val();
        if(value > 0) {
            !tableRow.hasClass("product-page-highlighted-row") ? tableRow.addClass("product-page-highlighted-row") : "";
        } else {
            tableRow.hasClass("product-page-highlighted-row") ? tableRow.removeClass("product-page-highlighted-row") : "";
        }
    });
    $("tbody tr").click(function() {
        const tableRow = $(this);
        const id = tableRow.data("input-id");
        const inputElement = $(`input[data-id="${id}"]`);
        let value = inputElement.val() || 0;
        value >= 1 ? value-- : value++;
        if(value >= 1) {
            !tableRow.hasClass("product-page-highlighted-row") ? tableRow.addClass("product-page-highlighted-row") : "";
        } else {
            tableRow.hasClass("product-page-highlighted-row") ? tableRow.removeClass("product-page-highlighted-row") : "";
        }
        inputElement.val(value);
    });

});

async function addToCart() {
    let products = {};
    
    $('.product-quantity-input').each(
        function(i) {
            $inputQuantity = $(this);
        
            if ($inputQuantity.val() > 0) {
                products[$inputQuantity.attr('data-id')] = parseInt($inputQuantity.val());
            }
        }
    );
    
    let ajaxCall = await $.ajax({
        type: "POST",
        url: "ajax_cart.php",
        data: {
        "cart-action" : "add",
        "products" : products
        }
    });
    
    location.reload();
}